# Interface ICefPanel

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefPanel = interface(ICefView)`

## Description

A Panel is a container in the views hierarchy that can contain other Views as children. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_panel_capi.h">CEF source file: /include/capi/views/cef_panel_capi.h (cef_panel_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefView
- ICefPanel

## Overview

### Methods

| `function GetAsWindow: ICefWindow;`
| `function SetToFillLayout: ICefFillLayout;`
| `function SetToBoxLayout(const settings: TCefBoxLayoutSettings): ICefBoxLayout;`
| `function GetLayout: ICefLayout;`
| `procedure Layout;`
| `procedure AddChildView(const view: ICefView);`
| `procedure AddChildViewAt(const view: ICefView; index: Integer);`
| `procedure ReorderChildView(const view: ICefView; index: Integer);`
| `procedure RemoveChildView(const view: ICefView);`
| `procedure RemoveAllChildViews;`
| `function GetChildViewCount: NativeUInt;`
| `function GetChildViewAt(index: Integer): ICefView;`

### Properties

| `property AsWindow : ICefWindow read GetAsWindow;`

## Description

### Methods

| `function GetAsWindow: ICefWindow;`

Returns this Panel as a Window or NULL if this is not a Window.

###### Attributes

GUID['{6F2F680A-3637-4438-81B8-79AD6C02252D}']

| `function SetToFillLayout: ICefFillLayout;`
Set this Panel's Layout to FillLayout and return the FillLayout object.

| `function SetToBoxLayout(const settings: TCefBoxLayoutSettings): ICefBoxLayout;`
Set this Panel's Layout to BoxLayout and return the BoxLayout object.

| `function GetLayout: ICefLayout;`
Get the Layout.

| `procedure Layout;`
Lay out the child Views (set their bounds based on sizing heuristics specific to the current Layout).

| `procedure AddChildView(const view: ICefView);`
Add a child View.

| `procedure AddChildViewAt(const view: ICefView; index: Integer);`
Add a child View at the specified |index|. If |index| matches the result of GetChildCount() then the View will be added at the end.

| `procedure ReorderChildView(const view: ICefView; index: Integer);`
Move the child View to the specified |index|. A negative value for |index| will move the View to the end.

| `procedure RemoveChildView(const view: ICefView);`
Remove a child View. The View can then be added to another Panel.

| `procedure RemoveAllChildViews;`
Remove all child Views. The removed Views will be deleted if the client holds no references to them.

| `function GetChildViewCount: NativeUInt;`
Returns the number of child Views.

| `function GetChildViewAt(index: Integer): ICefView;`
Returns the child View at the specified |index|.

### Properties

| `property AsWindow : ICefWindow read GetAsWindow;`
Returns this Panel as a Window or NULL if this is not a Window.

Generated by PasDoc 0.17.0.snapshot.